Subject: Re: [MBONED] Benjamin Kaduk's Discuss on draft-ietf-mboned-ieee802-mcast-problems-11: (with DISCUSS and COMMENT)

From: Benjamin Kaduk <[email-masked]>
Date: Mon, 26 Oct 2020 13:39:37 -0700

I see that the -12 was posted, but it still refers to the obsolete RFC 4601
(so I can't clear my Discuss yet).

-Ben

On Thu, Jan 09, 2020 at 08:48:34AM -0800, Benjamin Kaduk wrote:
> On Thu, Jan 09, 2020 at 05:51:13AM -0800, Alvaro Retana wrote:
> > On January 8, 2020 at 5:20:00 PM, Benjamin Kaduk via Datatracker wrote:
> > 
> > Hi!
> > 
> > > ----------------------------------------------------------------------
> > > DISCUSS:
> > > ----------------------------------------------------------------------
> > >
> > > Section 9 says that "[RFC4601], for instance, mandates the use of IPsec
> > > to ensure authentication of the link-local messages in the Protocol
> > > Independent Multicast - Sparse Mode (PIM-SM) routing protocol" but I
> > > could not find where such use of IPsec was mandated. (I do recognize
> > > that a similar statement appears almost verbatim in RFC 5796, but RFC
> > > 5796 seems focused on extending PIM-SM to support ESP in additon to the
> > > AH usage that was the main focus of the RFC 4601 descriptions, and does
> > > not help clarify the RFC 4601 requirements for me.) The closest I found
> > > was in Section 6.3.1 of RFC 4601: "The network administrator defines an
> > > SA and SPI that are to be used to authenticate all link-local PIM
> > > protocol messages (Hello, Join/Prune, and Assert) on each link in a PIM
> > > domain" but I do not think that applies to all usage of PIM-SM. Am I
> > > missing something obvious?
> > 
> > It looks like everyone (including me) missed the nit that rfc4601 has
> > been Obsoleted by rfc7761.  One of the changes between the two is that
> > rfc7761 removed the requirement for authentication using IPSec "due to
> > lack of sufficient implementation and deployment experience".
> 
> I think Roman did pick up on the obsoletion, but it was buried in the nits
> at the end of his ballot position.
> 
> As you rightly note, this does supersede my specific objection to this
> document (though I still would like to know which part of RFC 4601 made
> this requirement, if only to know whether or not to file an erratum on
> 5796).
> 
> > This is what rfc7761 says about authentication:
> > 
> >    6.3.  Authentication
> > 
> >       This document refers to RFC 5796 [8], which specifies mechanisms to
> >       authenticate PIM-SM link-local messages using the IPsec Encapsulating
> >       Security Payload (ESP) or (optionally) the Authentication Header
> >       (AH).  It also points out that non-link-local PIM-SM messages (i.e.,
> >       Register and Register-Stop messages) can be secured by a normal
> >       unicast IPsec Security Association (SA) between two communicants.
> 
> And that seems like a good treatment of the situation.
> 
> Thanks,
> 
> Ben
>

---

From: Michael McBride <[email-masked]>
Date: Mon, 26 Oct 2020 21:17:50 +0000

Hi Ben,

This -12 addresses Alissa's discuss comments. Once she clears her discuss we will get to the rest of the discuss items include yours and Romans in the next rev. I'll email you directly before posting new rev to make sure you are good.

Thanks,
mike

-----Original Message-----
From: Benjamin Kaduk <[email-masked]> 
Sent: Monday, October 26, 2020 1:40 PM
To: [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]; The IESG <[email-masked]>; Alvaro Retana <[email-masked]>
Subject: Re: [MBONED] Benjamin Kaduk's Discuss on draft-ietf-mboned-ieee802-mcast-problems-11: (with DISCUSS and COMMENT)

I see that the -12 was posted, but it still refers to the obsolete RFC 4601 (so I can't clear my Discuss yet).

-Ben

On Thu, Jan 09, 2020 at 08:48:34AM -0800, Benjamin Kaduk wrote:
> > > Section 9 says that "[RFC4601], for instance, mandates the use of 
> > > IPsec to ensure authentication of the link-local messages in the 
> > > Protocol Independent Multicast - Sparse Mode (PIM-SM) routing 
> > > protocol" but I could not find where such use of IPsec was 
> > > mandated. (I do recognize that a similar statement appears almost 
> > > verbatim in RFC 5796, but RFC
> > > 5796 seems focused on extending PIM-SM to support ESP in additon 
> > > to the AH usage that was the main focus of the RFC 4601 
> > > descriptions, and does not help clarify the RFC 4601 requirements 
> > > for me.) The closest I found was in Section 6.3.1 of RFC 4601: 
> > > "The network administrator defines an SA and SPI that are to be 
> > > used to authenticate all link-local PIM protocol messages (Hello, 
> > > Join/Prune, and Assert) on each link in a PIM domain" but I do not 
> > > think that applies to all usage of PIM-SM. Am I missing something obvious?
> > 
> > It looks like everyone (including me) missed the nit that rfc4601 
> > has been Obsoleted by rfc7761.  One of the changes between the two 
> > is that
> > rfc7761 removed the requirement for authentication using IPSec "due 
> > to lack of sufficient implementation and deployment experience".
> 
> I think Roman did pick up on the obsoletion, but it was buried in the 
> nits at the end of his ballot position.
> 
> document (though I still would like to know which part of RFC 4601 
> made this requirement, if only to know whether or not to file an 
> erratum on 5796).
>

---

From: Benjamin Kaduk <[email-masked]>
Date: Mon, 26 Oct 2020 14:18:59 -0700

Hi Mike,

> This -12 addresses Alissa's discuss comments. Once she clears her discuss we will get to the rest of the discuss items include yours and Romans in the next rev. I'll email you directly before posti…

Excellent; I'll look forward to it.

Thanks,

Ben